curl --request PUT \
--url https://api.example.com/api/sale-receipts/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"customerId": 1,
"exchangeRate": 1,
"depositAccountId": 1,
"receiptDate": "2021-01-01",
"receiptNumber": "123456",
"referenceNo": "123456",
"closed": false,
"warehouseId": 1,
"branchId": 1,
"entries": [
{
"key": "123456"
}
],
"receiptMessage": "123456",
"statement": "123456",
"attachments": [
{
"key": "123456"
}
],
"pdfTemplateId": 1,
"discount": 1,
"discountType": "percentage",
"adjustment": 1
}
'import requests
url = "https://api.example.com/api/sale-receipts/{id}"
payload = {
"customerId": 1,
"exchangeRate": 1,
"depositAccountId": 1,
"receiptDate": "2021-01-01",
"receiptNumber": "123456",
"referenceNo": "123456",
"closed": False,
"warehouseId": 1,
"branchId": 1,
"entries": [{ "key": "123456" }],
"receiptMessage": "123456",
"statement": "123456",
"attachments": [{ "key": "123456" }],
"pdfTemplateId": 1,
"discount": 1,
"discountType": "percentage",
"adjustment": 1
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: 1,
exchangeRate: 1,
depositAccountId: 1,
receiptDate: '2021-01-01',
receiptNumber: '123456',
referenceNo: '123456',
closed: false,
warehouseId: 1,
branchId: 1,
entries: [{key: '123456'}],
receiptMessage: '123456',
statement: '123456',
attachments: [{key: '123456'}],
pdfTemplateId: 1,
discount: 1,
discountType: 'percentage',
adjustment: 1
})
};
fetch('https://api.example.com/api/sale-receipts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Edit the given sale receipt.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
The sale receipt id
Body
The id of the customer
1
The exchange rate of the sale receipt
1
The id of the deposit account
1
The date of the sale receipt
"2021-01-01"
The receipt number of the sale receipt
"123456"
The reference number of the sale receipt
"123456"
Whether the sale receipt is closed
false
The id of the warehouse
1
The id of the branch
1
The entries of the sale receipt
[{ "key": "123456" }]
The receipt message of the sale receipt
"123456"
The statement of the sale receipt
"123456"
The attachments of the sale receipt
[{ "key": "123456" }]
The id of the pdf template
1
The discount of the sale receipt
1
The discount type of the sale receipt
"percentage"
The adjustment of the sale receipt
1